summaryrefslogtreecommitdiff
path: root/bin/extra/note
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2024-08-15 13:25:05 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2024-08-15 13:25:05 +0200
commitb3a25c858a5cf55c954e9d78acd75a135992778d (patch)
tree5110f03eb46a2728c89e8d537ec358165cc70f66 /bin/extra/note
parent4185a9b7ef76d686af011c8f66c14150add04426 (diff)
parentb6484958979b0bb6398dc95b72f233bea20fe1b4 (diff)
Merge branch 'main' of debuc.com:dotfiles
Diffstat (limited to 'bin/extra/note')
-rwxr-xr-xbin/extra/note19
1 files changed, 19 insertions, 0 deletions
diff --git a/bin/extra/note b/bin/extra/note
new file mode 100755
index 0000000..82ae5e0
--- /dev/null
+++ b/bin/extra/note
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+# Write a note
+
+notes="$HOME/notes"
+if [ ! -d "$notes" ]; then
+ >&2 printf 'Create the notes directory.\n'
+ exit 1
+fi
+
+if [ "$1" ]; then
+ name="$1"
+else
+ >&2 printf 'name> '
+ name="$(head -n 1)"
+fi
+[ "$name" ] || exit 1
+
+$EDITOR $HOME/notes/"$name".md